webMethods 8.2 Oracle Apps Adapter

Hi Friends,

We are working on upgrading webMethods 6.1 to webMethods 8.2 and I have installed IS, Broker, MWS, Siebel adapter and Oracle apps adapter. I have JDBC and siebel adapter working.

Problem is, we have OracleApps package in webMethods 6.1 version with several java services. for example transactionSelect. We use this service in many interfaces to pull data from oracle. After migrating to webmethods 8.2, we found that this packages is missing so we moved OracleApps package from webMethods 6.1 to 8.2 but when I tried to run transactionSelect service, I get

java.lang.reflect.InvocationTargetException: com/wm/app/repo/RepositoryNoLockException

I was suggested by support guys to install webMethods OracleApps Adapter 6.0 Fix 11.

I installed the fix and also performed post installation task as mentioned in readme but still I get the same error.:frowning:

Please let me know if you have seen this issue or any suggestions.

Appreciate you help…

Thanks
SM

I would say you should really contact SAG support folks as they suggested the fix11 which should fix and not working fix right…Have you contacted them after post installing the fix and critical up?

Hi, thanks for the reply. I am already working with SAG and what I found is, we have oracle apps adapter 3.0 in webMethods 6.1 (current environment) and webMethods 8.2 (new environment) has oracle apps adapter 6.0. Now I need to upgrade Oracle apps adapter from 3.0 to 6.0. I am not able to find a way to do this since they have deprecated upgrade package utility in 2007.

Please let me know if you have any idea…

Thanks
SM

Did SAG provided any upgrade user guide sort of and I am not sure how the utility also works:

I would say install the new adapter in dev and recreate adapter services if the old code doesn’t work and unless their support guides you with any easier ways:

HTH,RMG